> ## Documentation Index
> Fetch the complete documentation index at: https://levers9.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update marketplace listing



## OpenAPI

````yaml /api-reference/openapi/controlplane.openapi.json post /marketplace/listings/{listingId}
openapi: 3.0.0
info:
  title: levers9 controlplane API
  version: 1.0.0
  description: >-
    REST view of the levers9 controlplane gRPC service, served by the
    controlplane on port 1994. Authenticate with `Authorization: Bearer
    <token>`.
servers:
  - url: https://levers9.uselevers.com
    description: local controlplane
  - url: https://api.uselevers.com
    description: hosted
security:
  - bearer: []
tags:
  - name: ControlPlaneService
paths:
  /marketplace/listings/{listingId}:
    post:
      tags:
        - ControlPlaneService
      summary: Update marketplace listing
      operationId: ControlPlaneService_UpdateMarketplaceListing
      parameters:
        - name: listingId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/ControlPlaneServiceUpdateMarketplaceListingBody
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/controlplaneUpdateMarketplaceListingResponse
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    ControlPlaneServiceUpdateMarketplaceListingBody:
      type: object
      properties:
        displayName:
          type: string
        gpu:
          type: string
        gpuCount:
          type: integer
          format: int64
        source:
          type: string
        preemptible:
          type: boolean
        public:
          type: boolean
        status:
          type: string
        region:
          type: string
        pricePerGpuHourCents:
          type: integer
          format: int64
    controlplaneUpdateMarketplaceListingResponse:
      type: object
      properties:
        ok:
          type: boolean
        errMsg:
          type: string
        listing:
          $ref: '#/components/schemas/controlplaneMarketplaceListing'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    controlplaneMarketplaceListing:
      type: object
      properties:
        id:
          type: string
        sellerWorkspaceId:
          type: string
        displayName:
          type: string
        gpu:
          type: string
        gpuCount:
          type: integer
          format: int64
        source:
          type: string
        preemptible:
          type: boolean
        public:
          type: boolean
        status:
          type: string
        poolName:
          type: string
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        machineCount:
          type: integer
          format: int64
        readyMachineCount:
          type: integer
          format: int64
        region:
          type: string
        runtime:
          type: string
        pricePerGpuHourCents:
          type: integer
          format: int64
          description: Seller-set on-demand rate, per GPU per hour.
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.